*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

@font-face {
    font-family: "ffont";
    src: url("/assets/fonts/ffonts/Sora-Light.woff2") format("woff2");
    font-weight: 400;
}

body{
    width: 100%;
    height: 100%;
    min-height: 100vh;
    font-family: "ffont", Georgia, 'Times New Roman', Times, serif;
    color: rgb(245,245,247);
    font-size: 17px;
    font-style: normal;
    font-weight: 300;
    letter-spacing: -0.022em;
    line-height: 1.4705882353;
    min-width: 320px;
    overflow-x: hidden;
    position: relative;

    background-color: rgba(50, 38, 57, 0.9);
}

.navbar{
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.3);
    background: rgba(22, 22, 24, 0.8);
    /* background: rgba(61, 61, 61, 0.7); */
    /* background: rgba(61, 61, 61, 0.65); */
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.12);

    /* position: absolute; */
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 20px;
    
   /* top: 20px;
   right: 0px;
   left: 0px; */
   z-index: 9999;
   display: block;

   /* margin: 0; */
   /* margin: 40px auto 0; */
   margin: 20px auto 0;
   width: 27%;
   /* min-width: 320px; */
   /* min-width: 320px;
   height: 48px; */
   width: fit-content;
   min-width: 320px;
   max-width: calc(100vw - 30px);
   height: 48px;
   /* font-size: clamp(17px, 2vw, 20px); */
    font-size: clamp(17px, 2vw, 19px);
}

.custom-nav .navbar{
    position: fixed;
    box-shadow: 0 0 6px rgba(183, 156, 47, 0.26 );
}
.custom-nav .logo{
    position: fixed;
}

.navbar-container{
    position: relative;

    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    
    padding-right: 30px; 
    /* padding-right: 30px;
    padding-left: 8px;  */
    
    margin: 0 auto;
    box-sizing: border-box;
    width: 100%;
    max-width: 1024px;
    padding-top: 0;
    padding-bottom: 0;
    z-index: 2;
    
}


.logo{
    /* position: absolute; */
    position: fixed;
    /* top: 0; */
    left: 5%;
    transform: translateX(-50%);

    z-index: 9999;
    display: block;

   /* margin: 0; */
    margin: 15px auto 0;
   /* width: 30%; */
   /* min-width: 320px; */
   /* height: 48px; */
    max-height: 44px;
    z-index: 99999;
    left: clamp(50px, 10vw, 90px);
}

.logo img {
    max-height: 66px;
    width: clamp(70px, 20vw, 140px);
}

.navlinks{
    /* display: flex;
    list-style: none; */

    position: relative;

    display: flex;
    align-items: center;
    list-style: none;

    margin: 0;
    padding: 0;
    height: 100%;
    white-space: nowrap;
    
}

.navlinks .pill {
    position: absolute;

    padding: 0;
    margin: 0;

    background: rgba(255, 255, 255, 0.15);
    border-radius: 999px;

    z-index: 0;
    pointer-events: none;

    opacity: 0;

    transition:
        left 0.08s ease,
        top 0.08s ease,
        width 0.08s ease,
        height 0.08s ease,
        opacity 0.2s ease;
}

.navlinks li:not(.pill) {
    position: relative;
    z-index: 2;
}



.navbar a{
    /* color: rgb(245,245,247); */
    color: rgb(255, 241, 241);
    text-decoration: none;
    transition: all 0.3s ease;
    display: inline-block;
    transition: transform 0.3s ease, text-shadow 0.3s ease;
}

.navbar ul a:hover{
    transform: scale(1.1) translateY(-3px);
    text-shadow: 0 8px 15px rgba(0,0,0,0.4);
}

.navbar a:hover {
  background-size: 100% 100%;     
  color: #fff;                  
}

.navbar ul li{
    padding-left: 30px;
    /* padding-top: 10px; */
    z-index: 3;
}

.buttons{
    display: none;
}


.hero{
    background: #161617 url("../images/O2.webp") no-repeat top / cover;
    background-attachment: fixed;
    height: 100vh;
    width: 100%;
    position: relative;

    display: flex;
    flex-direction: column;
    min-height: 400px;
}


/*.tinted{*/
/*    position: fixed;*/
/*    width: 100%;*/
    
/*    background-color: rgba(50, 38, 57, 0.9);*/
/*    color: inherit;*/
    
    
/*    display: flex;*/
/*    flex-direction: column;*/
/*    justify-content: flex-start;*/
/*    align-items: center;*/
/*    flex-wrap: wrap;*/
    
/*    min-height: 60px;*/
/*    overflow: hidden;*/
/*}*/

/*.tinted a {*/
/*  color: #0071e3;*/
/*  text-decoration: none;  */
/*  position: relative;  */
/*  font-size: clamp(14px, 2vw, 20px);  */
/*} */

/*.tinted a::after {*/
/*  content: '';            */
/*  position: absolute;*/
/*  bottom: 0;              */
/*  left: 0;               */
/*  width: 0;              */
/*  height: 1px;            */
/*  background-color: #0071e3; */
/*  transition: width 0.3s ease;  */
/*}*/

/*.tinted a:hover::after {*/
/*  width: 100%;            */
/*}*/


.check{
    align-self: flex-end;
    /*margin-top: 200px;*/
    /*margin-right: 20px;*/
   
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 30px;
    padding-top: 80px;

    /*width: 22vw;*/
    width: 44vw;
    min-width: 300px;
    /*height: 30vh;*/
    height: 100vh;
    
    color: inherit;
    background-color: rgba(50, 38, 57, 0.9);
    font-size: clamp(14px, 2vw, 16px);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    overflow: auto;
    text-align: left;

    border-radius: 30px;
    
}
.check a:active{
    text-decoration: none;
    color: inherit;
}


.check p{
    padding-bottom: 10px;
}

.tinted-bottom{
    position: absolute;
    bottom: 0px;
    width: 100vw;

    background-color: rgba(16, 16, 17, 0.8);
    text-align: center;
    line-height: normal;
    
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.index-footer{
    border-bottom: 1px solid red;
    text-align: center;
    font-size: clamp(12px, 2vw, 14px);
}

.form{
    margin-top: 140px;
}



.form-container{
    background: #161617 url("../images/O2.webp") no-repeat top / cover;
    width: 100%;
    height: 100vh;

    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    overflow: auto;

}

form{
    border-radius: 30px;
    max-width: 1200px;
    margin: 0 auto;


    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    overflow: auto;
    padding-top: 30px; 
    padding-bottom: 30px;

    margin-top: 90px;
    margin-bottom: 13vh; 
    
    width: 97vw;

    /* background-color: rgba(0, 0, 0, 0.8); */
    background-color: rgba(32, 32, 32, 0.8);

}
.form .intro{
    max-width: 900px;
    font-size: clamp(16px, 2.5vw, 18px);

}

.form-group{
    font-size: clamp(16px, 2vw, 20px);
}

.form h2{
    font-weight: 330;
    text-align: center;
    padding: 1rem;
    font-size: clamp(19px, 3vw, 30px);
}

.fa-phone{
    padding-left: 3vw;
    padding-right: 4px;
}
.fa-at{
    padding-right: 4px;
}

.form p{
    text-align:justify;
    padding-bottom: 3rem;
    padding-left: 3rem;
    padding-right: 3rem;
    max-width: 64vw;
    font-size: clamp(16px, 2vw, 20px);
    line-height: 1.52;
    max-width: 1100px;
    font-family: 'ffont', Tahoma, Geneva, Verdana, sans-serif;
}

label{
    display: flex;
    border: none;
    outline: none;
    font-weight: 300;
    padding: 10px 10px;
}

textarea{
    resize: none;
    border: none;
    outline: none;
    width: 45vw;
    min-width: 300px;
    max-width: 600px;
    font-size: 1.08rem;
    border-radius: 20px;
    padding-left: 10px;
    padding-top: 2px;
    font-size: clamp(14px, 2vw, 20px);
}

#math_answer{
    min-height: 30px;
    margin-bottom: 0.9rem;
}

input{
    width: 45vw;
    min-width: 300px;
    max-width: 600px;
    
    min-height: 40px;
    padding-left: 10px;
    font-size: 1.08rem;
    border:none;
    outline: none;
    border-radius: 30px;
}

input::placeholder{
    font-size: clamp(14px, 2vw, 20px);
}

select {
    outline: none;
    border-radius: 20px;
    padding: 5px;
    font-size: 1rem;
    margin-bottom: 60px;

    width: 45vw;
    min-width: 200px;
    max-width: 600px;
  }

  select:hover {
    transform: scale(1.05);
  }

  .consent p{
      font-size: clamp(0.9rem, 1vw, 12px);
}

  .consent a {
  font-size: clamp(0.9rem, 1vw, 12px);
  font-family: "Roboto", -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
  font-size: 0.9rem;
  letter-spacing: 0.08rem;
  padding-left: 0.3rem;
  color: #0071e3;
  text-decoration: none;  
  position: relative;  
} 

.consent a::after {
  content: '';            
  position: absolute;
  bottom: 0;              
  left: 0;                
  width: 0;               
  height: 1px;            
  background-color: #0071e3; 
  transition: width 0.3s ease; 
}

.consent a:hover::after {
  width: 100%;           
}

  #math-challenge{
    line-height: 0.4rem;
  }

  .submit{
    padding: 10px;
    height: 36px;
    width: 94.5469px;
    border-radius: 10px;
    background-color: inherit;
    color: #0071e3;
    border: 1px solid #0071e3;
    margin-top: 3%;
    margin-bottom: 3%;
    text-align: center;
    margin-top: 20%;
}

.submit:hover{
    background-color: #0071e3;
    color: inherit;
}  

.submit a{
    text-decoration: none;
    color: #0071e3;
}

.submit a:hover{
    background-color: #0071e3;
    color: inherit;
} 

.hidden {
    display: none;
}

.hidden-field {
  display: none !important;
}

.success-message {
    color: inherit;
    background-color: green;
    padding: 6px 10px;
    margin: 30px;
    border-radius: 5px;
    text-align: center;
    font-size: 0.8rem;
}

ul.parsley-errors-list {
    list-style: none;
}

.parsley-errors-list {
    padding-left: 11px;
    /* padding-top: 4px; */
    padding-right: 11px;
    color: red;
    font-family:'ffont', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* background-color: #161617; */
    border-radius: 30px;
    /* width: fit-content; */
    /* font-size: 17px; */
    font-size: clamp(0.9rem, 1vw, 12px);
}
.section{
    width: 100%;
    min-height: 100vh;
    background-color: #161617;
}

.more{
    background-color: #161617;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;

    overflow: auto;
    padding-right: 20px;
    padding-left: 20px;
}

.services{
    width: 40vw;
    margin: 0.1%;
    margin-top: 1vh;

    min-width: 300px;
    min-height: 300px;

    max-width: 600px;
    max-height: 600px;
}

.london{
    height: 40px;   
    /* background-color: rgba(50, 38, 57, 0.9); */
    /* background-color: rgba(24, 20, 27, 0.98); */
    background-color: rgba(20, 19, 19, 0.934);
    overflow: hidden; 
    
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-left: 6px;
    /* font-size: clamp(14px, 2vw, 20px);  */
    z-index: 14;
    border-bottom: 2px solid rgb(210, 202, 202);
}
.london h3{
    font-size: clamp(17px, 2vw, 18px);
    /* color: rgba(206, 175, 53, 0.957); */
    /* color: rgb(210, 202, 202); */
    color: white;
    z-index: 13;
    letter-spacing: 0.5px;
}

.lights{
    background: #161617 url("../images/lights-installation.webp") no-repeat center / cover;  
    border-radius: 0 0 0 30px;
}

.vinyl{
    background: #161617 url("../images/banners.webp") no-repeat bottom right / cover;
    border-radius: 0 0 0 30px;
}

.maintenance{
    background: #161617 url("../images/maintenance.webp") no-repeat top / cover;
    border-radius: 0 0 0 30px;
}

.cleaning{
    background: #161617 url("../images/tfl.webp") no-repeat top / cover;
    border-radius: 0 0 0 30px;
}

.cctv{
    background: #161617 url("../images/cctv.webp") no-repeat left / cover;
    border-radius: 0 0 0 30px;
}

.signages{
    background: #161617 url("../images/signages.webp") no-repeat top / cover;
    border-radius: 0 0 0 30px;
}

.services a {
    color: inherit;
    text-decoration: none;  
    position: relative;  
    font-size: clamp(14px, 2vw, 20px);  
}

.services a::after {
    content: '';            
    position: absolute;
    bottom: 0;
    left: 0;               
    width: 0;               
    height: 100%;
    clip-path: inset(0 0 2px 0);
    background-color: rgba(109, 113, 121, 0.882);
    /* transition: width 0.3s ease;  */
    transition: width 0.5s ease;
    border-radius: 10px;
}

.services a:hover::after {
    width: 100%;       
}

.section .heading{
    display: flex;
    justify-content: center;
    background-color: #161617;
    color: inherit;
    padding-top: 140px;   
}

.heading p{
    margin-left: 7vw;
    margin-right: 7vw;
    margin-bottom: 7vw;
    /* max-width: 1000px; */
    max-width: 900px;
    line-height: 1.60;
    /* font-size: clamp(14px, 2vw, 18px); */
    font-size: clamp(16px, 2.5vw, 18px);
    text-align: justify ;
    font-family: 'ffont','Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.heading a {
  color: #037ffc;
  text-decoration: none;  
  position: relative;  
  /* font-size: clamp(14px, 2vw, 20px);   */
  font-size: clamp(16px, 2.5vw, 18px);
} 

.heading a::after {
  content: '';            
  position: absolute;
  bottom: 0;              
  left: 0;                
  width: 0;               
  height: 1px;                 
  background-color: #0071e3; 
  transition: width 0.3s ease; 
}

.heading a:hover::after {
  width: 100%;            
}

@media screen and (max-width: 1005px){

    .tinted-bottom{
        display:none;
    }
    .tinted{
        min-height: 30px;
        padding-top: 3px;
    }
    .hero{
        flex-direction: row;
    }
    .check{
        align-self: flex-end;
        width: 97vw;
        margin: 0 auto;
        font-size: clamp(16px, 2vw, 20px);
        padding-bottom: 10px;
    }
    
    .navbar ul li{
    padding-left: 20px;
}
/* .navlinks{
    font-size: 15px;
} */
    .form{
        /* margin-top: 90px; */
        margin-top: 120px;
    }
    /* .section .heading{
        padding-top: 30px;
    } */

}
@media screen and (max-width: 950px){
    /*.navbar{*/
    /*    height: 60px;*/
    /*    background: green;*/
    /*}*/
    /*.navbar-container .logo img {*/
    /*    height: 100%;*/
    /*}*/
    .form{
    /* margin-top: 70px; */
    margin-top: 120px;
}
}

@media screen and (max-width: 700px) {
    .services{
        width: 100vw;
        margin: 0.3rem;
    }
    /*.navbar{*/
    /*    height: 50px;*/
    /*    background: linear-gradient(to right, rgba(0,0,0,0) 0%,*/
    /*rgba(0,0,0,0) 85%,*/
    /*rgba(0,0,0,0.6) 95%,*/
    /*rgba(0,0,0,1) 100%);   */
    /*}*/
    
    .hamburger{
        margin-top: 20px;
        right: 15px;
    }
    .hamburger i{
        font-size: 30px;
    }

    .form{
        /* margin-top: 51px; */
        margin-top: 120px;
    }
}


.privacy-container{
    width: 100%;
    height: 100vh;
    background-color: #161617;
    color: inherit;

    display: flex;
    justify-content: center;
    overflow: auto;
}

.privacy{
    /* margin-top: 4rem; */
    margin-top: 120px;
    padding: 3rem;
    text-align: left;
    max-width: 1000px;
    font-family: "Roboto", -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
    line-height: 1.9rem;
}

.privacy-heading{
    display: inline-block;
    border-bottom: 3px solid red;
    padding-bottom: 0.4rem;
    font-size: 1.5rem;
    text-decoration-thickness: 0.1rem;
    margin-top: 2rem;
    letter-spacing: 0.3rem;
}

.privacy-date{
    font-size: 0.9rem;
    margin-top: 0.3rem;
    margin-bottom: 1.7rem;
    margin-top: 1.7rem;
}

.privacy-points{
    margin-top: 1rem;
    margin-bottom: 0.3rem;
    font-size: 1.2rem;
}

.privacy-content{
    margin-bottom: 0.3rem;
    padding-left: 1.2rem;
}

.privacy ul{
    margin-left: 30px;
    padding-bottom: 1.2rem;
    padding-top: 1.2rem;
}

footer{
    display: flex;
    justify-content: center;
    align-items: flex-end;
    border-bottom: 1px solid red;
    margin-top: 3rem;
    text-align: center;
    font-size: clamp(12px, 2vw, 14px);
}

@media screen and (max-width: 620px){

    .navbar{
        margin: 40px 30vw 0px;
        /* position: relative; */
        width: 40vw;
        min-width: 40vw;
        background: transparent;
        box-shadow: none;
        backdrop-filter: none;
    }
    .logo{
        padding-left: 10vw;
    }
    .custom-nav .navbar{
        background: transparent;
        box-shadow: none;
    }

    .buttons{
        height: 100%;
        display: flex;
    }
    .buttons button{
        background-color: inherit;
        color: #fff;
        border-style: none;
    }

    .hamburger.hidden{
        display: none;
    }

    .close-btn{
        display: none;
    }

    .close-btn.visible{
        display: block;
        position: absolute;
        top: 15px;
        right: 15px;
        z-index: 30;
    }
    
    .close-btn i {
    font-size: 32px;
    }
     
    .mobile{
        display: none;
        /* position: absolute; */
        position: fixed;
        
        top:0;
        left:0;
        right: 0;
        
        /* width: 0%; */
        width: auto;
        height: 100vh;
        opacity: 0;
        background-color: rgba(0, 0, 0, 0.8);
        overflow: hidden; 
        
        border-radius: 20px;
        border-left: 2px solid white;
        border-top: 1px solid white;
        transform-origin: top center;
        z-index: 20;
    }

    .mobile.visible{
        display: block;
        width: 100%;
        opacity: 1; 
        animation: growDown 500ms ease-in-out forwards;
    }

    .navlinks{
        display: flex;
        flex-direction: column;
        align-items: end;
        padding-right: 20px;
        padding-bottom: 20px;
        padding-top: 50px;
        font-size: 1.6rem;
    }
   .navlinks li{
    padding-top: 10px;
   }
   .service{
    width: 90%;
    margin: 1px;
   }
    .hamburger{
        position: absolute;
        right: 55px;
        margin-top: 3px;
    }
}
/* @keyframes growDown {
    0% {
        transform: scaleY(0)
    }
    80% {
        transform: scaleY(1.1)
    }
    100% {
        transform: scaleY(1)
    } */
     @keyframes growDown {
    from {
        transform: scaleY(0);
        transform-origin: top;
    }

    to {
        transform: scaleY(1);
        transform-origin: top;
    }
}


@media screen and (max-height: 620px) {
    
     .tinted-bottom{
        display: none;
     }
     .hero{
        flex-direction: row;
        position: relative;
        min-height: 100vh;
        display: flex;
        /*align-items: center;*/
        justify-content: center;
        flex-direction: column;
    }
    .check{
        position: relative;
        min-height: 20vh;
        align-self: right;
        width: 67vw;
        margin: 0 auto;
        margin-top: 68vh;
        padding-bottom: 40px;
    }
    .section .heading{
        padding-left: 40px;
        padding-right: 40px;
    }
    
    .hamburger{
        position: absolute;
        right: 55px;
    }
    .form{
        margin-top: 120px;
    }
}